parameter IDLE  = 2'b00,  // State-machine states
          INIT  = 2'b01,
          RUN   = 2'b10,
          WAIT  = 2'b11,
          SMmsb = 1,      // SM size [SMmsb:SMlsb]
          SMlsb = 0;

parameter MPYwidth = 8,            // Operand width
          MPYmsb   = MPYwidth-1,   // Index of operand MSB
          PRODmsb  = 2*MPYwidth-1, // Index of product MSB
          MaxCnt   = MPYmsb,       // Number of shift-and-add steps
          CNTRmsb  = 2;            // Step-counter size [CNTRmsb:0]
